PgBeam Docs
Anomalies

Triage an anomaly alert

PATCH
/v1/projects/{project_id}/anomalies/{anomaly_id}

Updates the triage status of an anomaly alert (acknowledge or resolve).

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

project_id*string

Unique project identifier (prefixed, e.g. prj_xxx).

anomaly_id*string

Unique anomaly alert identifier (prefixed, e.g. ano_xxx).

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for triaging an anomaly alert.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/projects/string/anomalies/string" \  -H "Content-Type: application/json" \  -d '{    "status": "acknowledged"  }'
{  "id": "ano_01h455vb4pex5vsknk084sn02q",  "project_id": "string",  "credential_id": "string",  "kind": "string",  "severity": "info",  "title": "string",  "details": {},  "status": "open",  "window_start": "2019-08-24T14:15:22Z",  "window_end": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "acknowledged_at": "2019-08-24T14:15:22Z",  "acknowledged_by": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}